Register POS

Purpose

When a customer is ready to integrate a location in their Deliverect account to their POS, a registration webhook event will be sent to a designated endpoint with all the information needed to establish the integration. This endpoint should be provided by the POS.

Format

Before this webhook is sent, a unique ID known to the POS will be set in the Deliverect location settings. This is referred to as the externalLocationId Our onboarding teams will be provided with this ID, either by the customer or from the POS partner's support team.

We include this externalLocationId along with both the Deliverect accountId and locationId in the register event. This should provide all the information needed to complete the mapping between the POS and Deliverect.

The register webhook needs to be standardised i.e. the same URL should be used for every customer install.

Request Parameters

The webhook payload is shown as an example below, with the properties defined as follows;

AttributeDefinition
accountIdThe ID of the Deliverect customer account
locationIdThe ID of a specific location in the Deliverect customer account
externalLocationIdThe unique ID of the customer's POS
locationNameName of the location set in Deliverect
{
  "accountId": "63********************a7",
  "locationId": "62********************e4",
  "externalLocationId": "61********************r5",
  "locationName": "Test Store"
}

Response Parameters

We always expect a JSON result containing the endpoints as per the example below. When returned as response, they will be automatically set in the location settings.

In response to this event, the URLs needed for the integration should be returned as in the below example. In particular, the ordersWebhookURL and syncProductsURL should be returned in order to provide the means of syncing in products and injecting orders directly into the POS.

{
  "ordersWebhookURL": "https://integrator.com/ordersWebhookURL",
  "syncProductsURL": "https://integrator.com/syncProductsURL",
  "syncTablesURL": "https://integrator.com/syncTablesURL",
  "syncFloorsURL": "https://integrator.com/syncFloorsURL",
  "operationsWebhookURL": "https://integrator.com/operationsURL",
  "storeStatusWebhookURL": "https://integrator.com/storeStatusURL",
  "taxCalculationWebhookURL": "https://integrator.com/taxCalculationURL"
}

For any webhooks not supported, an empty string can be set

AttributeDefinition
syncProductsURL(required)Sync products from the POS to Deliverect (see Sync Products)
ordersWebhookURL(required)Insert order from Deliverect to the POS (see Order Notification)
syncTablesURLSync tables from the POS to Deliverect (see Sync Tables)
syncFloorsURLSyncs floors from the POS to Deliverect (see Sync Floors)
operationsWebhookURLTo sync operational updates for published menu *activated only by customer request
storeStatusWebhookURLSync any status changes made to channels per location *activated only by customer request
taxCalculationWebhookURLSync calculated tax based on a basket amount (see Tax Calculation)
Body Params
string
required
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json